%define aurox_ver 11.0
%define rel 1

Summary: A GTK front-end for gPhoto2
Name: gtkam
Version: 0.1.12
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Multimedia

Source0: http://belnet.dl.sourceforge.net/sourceforge/gtkam/%{name}-%{version}.tar.gz
URL: http://www.gphoto.org/
ExcludeArch: s390 s390x
BuildRequires: gphoto2-devel >= 2.1.1
BuildRequires: gdk-pixbuf-devel
BuildRequires: libexif-gtk-devel
BuildRequires: desktop-file-utils >= 0.2.92
Requires: gphoto2 libexif-gtk
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The gtKam package provides a GTK-based front-end to gPhoto2.  Install
this package if you want to use a digital camera with Linux.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

# Desktop file
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Graphics
cat << EOF > gtkam.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Digital Camera Tool
Name[pl]=Narzędzie do aparatów cyfrowych
Type=Application
Description=A digital camera viewer
Description[pl]=Przeglądanie fotografii
Exec=/usr/bin/gtkam
Icon=/usr/share/gtkam/pixmaps/camera.xpm
EOF
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor net --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  --add-category X-Aurox-Base                        \
  --add-category Graphics                              \
  --add-category Application                           \
  gtkam.desktop

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/gtkam
##
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -rf $RPM_BUILD_ROOT%{_libdir}/gimp/
rm -rf $RPM_BUILD_ROOT%{_datadir}/omf/
%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_datadir}/applications/*
%{_bindir}/*
%{_datadir}/gtkam
%{_datadir}/pixmaps
%{_datadir}/gnome
%{_datadir}/images/gtkam
%{_mandir}/man1/*.gz

%changelog
* Tue Jul 26 2005 Rafal Kwasny <rkwasny@aurox.org> 0.1.12-11.0.aur.1
- rebuild

* Mon Jul 19 2004 Aurox Team <aurox@aurox.org> 0:0.1.12-10.0.aur.1
- version 0.1.12
- fixed problems with unpackaged files
- /var/scrollkeeper removed
- version 0.1.12
- rebuild for Aurox 10.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not build on mainframe

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 0.1.7-1
- 0.1.7.
- No longer need gtkam-gimp patch.
- Don't install files not shipped.

* Mon Aug  5 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-6
- Don't require gimp-devel (bug #70754).
- Don't ship empty NEWS file (bug #66086).

* Mon Jul 22 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-5
- Desktop file fixes (bug #69434).

* Mon Jul 15 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-4
- Use desktop-file-install.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.1.4-3
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com> 0.1.4-2
- automated rebuild

* Thu May 23 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-1
- 0.1.4.
- Update gimp patch.
- No longer need linguas, gettext, ranlib patches.

* Wed Mar  6 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.2
- The gimp subpackage requires /usr/bin/gimp-config in its %%post
  scriplet.

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.1
- Adapted for Red Hat Linux.  Tidied the spec file.
- Made a desktop entry.
- Fixed the gimp plug-in.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-10mdk
- Rebuilt for libusb 0.1.4.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-9mdk
- Add %%defattr(-,root,root,-) for gtkam-gimp-plugin

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-8mdk
- Fix menu entry

* Tue Dec  4 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-7mdk
- Updated to the CVS snapshot from 04/12/2001.

* Sat Dec  1 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-6mdk
- Updated to the CVS of 01/12/2001.

* Fri Nov 30 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-5mdk
- Updated to the CVS of 30/11/2001.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: gettext-devel

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-3mdk
- fixed BuildRequires
- Copyright --> License

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-2mdk
- Corrected the doc directory path again

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-1mdk
- Moved to main
- Corrected the doc directory
- Added a menu entry
- Updated from CVS

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20001116mdk
- new in contribs
- macros
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
   - v0.1-0.20001116mdk (initial packaging from CVS) 
